| Home | Libraries | People | FAQ | More

##### object::crend

Return a const reverse iterator to the element following the last element of the reversed container.

###### Synopsis

    const_reverse_iterator
    crend() const;

###### Description

The pointed-to element corresponds to the element preceding the first element of the non-reversed container. This element acts as a placeholder, attempting to access it results in undefined behavior.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.